import React from "react";
import { withStyles } from '@material-ui/core/styles';
import Checkbox from "@material-ui/core/Checkbox";
import { yellow, orange } from "@material-ui/core/colors";
import FormControlLabel from '@material-ui/core/FormControlLabel';
import FormGroup from '@material-ui/core/FormGroup';

const OrangeCheckBox = withStyles({
  root: {
    color: orange[400],
    '&$checked': {
      color: orange[600],
    },
  },
  checked: {},
})((props) => <Checkbox color="default" {...props} />);

const ContrastCheckBox = withStyles({
  root: {
    color: yellow[400],
    '&$checked': {
      color: yellow[600],
    },
  },
  checked: {},
})((props) => <Checkbox color="default" {...props} />);

export default function SearchEPCompCurriculum({ typeOfResources, setTypeRes, contrast }) {

  const handleChange = (event) => {
    const index = event.target.name;
    const newCurriculumComponents = [...typeOfResources];
    newCurriculumComponents[index].isChecked = !newCurriculumComponents[index].isChecked
    setTypeRes(newCurriculumComponents);
  };

  if (typeOfResources)
    return (
      <FormGroup row>
        {
          typeOfResources.map((item, index) => {
            return <FormControlLabel
              name={index}
              key={item.exemplo}
              control={contrast === "" ? <OrangeCheckBox checked={item.isChecked} onChange={handleChange} /> : <ContrastCheckBox checked={item.isChecked} onChange={handleChange} />}
              label={<span style={contrast === "" ? {} : { color: "yellow", textDecoration: "underline" }}>{item.exemplo}</span>}
            />
          })
        }
      </FormGroup>
    )
}
